# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse20020(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'email': 'str',
        'locale': 'str',
        'language': 'str'
    }

    attribute_map = {
        'email': 'email',
        'locale': 'locale',
        'language': 'language'
    }

    def __init__(self, email=None, locale=None, language=None):  # noqa: E501
        """InlineResponse20020 - a model defined in Swagger"""  # noqa: E501
        self._email = None
        self._locale = None
        self._language = None
        self.discriminator = None
        if email is not None:
            self.email = email
        if locale is not None:
            self.locale = locale
        if language is not None:
            self.language = language

    @property
    def email(self):
        """Gets the email of this InlineResponse20020.  # noqa: E501


        :return: The email of this InlineResponse20020.  # noqa: E501
        :rtype: str
        """
        return self._email

    @email.setter
    def email(self, email):
        """Sets the email of this InlineResponse20020.


        :param email: The email of this InlineResponse20020.  # noqa: E501
        :type: str
        """

        self._email = email

    @property
    def locale(self):
        """Gets the locale of this InlineResponse20020.  # noqa: E501


        :return: The locale of this InlineResponse20020.  # noqa: E501
        :rtype: str
        """
        return self._locale

    @locale.setter
    def locale(self, locale):
        """Sets the locale of this InlineResponse20020.


        :param locale: The locale of this InlineResponse20020.  # noqa: E501
        :type: str
        """

        self._locale = locale

    @property
    def language(self):
        """Gets the language of this InlineResponse20020.  # noqa: E501


        :return: The language of this InlineResponse20020.  # noqa: E501
        :rtype: str
        """
        return self._language

    @language.setter
    def language(self, language):
        """Sets the language of this InlineResponse20020.


        :param language: The language of this InlineResponse20020.  # noqa: E501
        :type: str
        """

        self._language = language

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse20020, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse20020):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
